// This file is the main header file for the main holder of 
// the HDF5 OPeNDAP data handler for the CF option

// Copyright (c) 2009-2013 The HDF Group, Inc. and OPeNDAP, Inc.
//
// This is free software; you can redistribute it and/or modify it under the
// terms of the GNU Lesser General Public License as published by the Free
// Software Foundation; either version 2.1 of the License, or (at your
// option) any later version.
//
// This software is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
// or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
// License for more details.
//
// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
//
// You can contact OPeNDAP, Inc. at PO Box 112, Saunderstown, RI. 02874-0112.
// You can contact The HDF Group, Inc. at 1800 South Oak Street,
// Suite 203, Champaign, IL 61820  

///////////////////////////////////////////////////////////////////////////////
/// \mainpage
/// 
/// \section Introduction
/// This is the HDF5 OPeNDAP data handler that extracts DAS/DDS/DODS information
/// from an HDF5 file for the CF option. 
/// For more information about the CF conventions, check 
/// http://cf-pcmdi.llnl.gov/
///
////////////////////////////////////////////////////////////////////////////////

///////////////////////////////////////////////////////////////////////////////
/// \file h5cfdap.h
/// \brief The main wrapper of headers of the HDF5 OPeNDAP handler for the CF option
///////////////////////////////////////////////////////////////////////////////

#ifndef _H5CFDAP_H
#define _H5CFDAP_H
#include <DDS.h>
#include <DAS.h>

#include "HDF5CFModule.h"
#include "heos5cfdap.h"
#include "h5gmcfdap.h"


#endif


